dofile "flightcommander.lua"

function init()
  Mission_setScriptControl(true);
  Mission_setAutopilotEnabled(false);
end
-----------------------------------

--------


function nav0create()
   starttime = Mission_getElapsedTime();
--   Navpoint_setVisitable(1, true)
   state = 0
end


function nav0during()
   now = Mission_getElapsedTime()
   if now >= starttime + 2000 and state == 0 then
      state = state + 1
      Comm_playSound("training0.mp3")
   elseif now >= starttime + 15000 and state == 1 then
      state = state + 1
      Comm_playSound("training1.mp3")
   elseif now >= starttime + 31000 and state == 2 then
      state = state + 1
      Mission_setAutopilotEnabled(true);
   end
end

----------------------------------------------


-----------------------------------

function nav1create()
   starttime = Mission_getElapsedTime();
--   Navpoint_setVisitable(1, false)
--   Navpoint_setVisitable(2, true)
   state = 0
   Mission_setAutopilotEnabled(false);
end


function nav1during()
   now = Mission_getElapsedTime()
   if now >= starttime + 2000 and state == 0 then
      state = state + 1
      Comm_playSound("training2.mp3")
   elseif state == 1 and Ship_getSpeed("@player") == 0 then
      state = state + 1
      Comm_playSound("training3.mp3")
      Mission_addShip("jumpbuoy", "", "", false, "", IFF_NEUTRAL,
          1000, 0, 1000, "@buoy", "", "", "")
      starttime = now
   elseif  now >= starttime + 5000 and state == 2 then
      state = state + 1
      Comm_playSound("training4.mp3")
   elseif state == 3 and Ship_isWithinRange("@player", "@buoy", 20) then
      state = state + 1
      Comm_playSound("training5.mp3")
      Ship_jumpOut("@buoy")
      Mission_addShip("jumpbuoy", "", "", false, "", IFF_ENEMY,
          2000, 0, 2000, "@buoy2", "", "buoy2destroy", "")
      starttime = now
   elseif now >= starttime + 2000 and state == 4 then
      Comm_playSound("training6.mp3")
      state = state + 1
   end

end

function buoy2destroy()
   Mission_setAutopilotEnabled(true);
end

----------------------------------------------


-----------------------------------

function nav2create()
   starttime = Mission_getElapsedTime();
--   Navpoint_setVisitable(1, false)
--   Navpoint_setVisitable(2, false)
--   Navpoint_setVisitable(3, true)
   state = 0
   Mission_setAutopilotEnabled(false);
      Mission_addShip("jumpbuoy", "", "", false, "", IFF_ENEMY,
          2000, 0, 2000, "@buoy3", "", "buoy3destroy", "")

end


function nav2during()
   now = Mission_getElapsedTime()
   if now >= starttime + 2000 and state == 0 then
      state = state + 1
      Comm_playSound("training7.mp3")
   end
end

function buoy3destroy()
   Mission_setAutopilotEnabled(true);
end


----------------------------------------------
function nav3create()
   starttime = Mission_getElapsedTime();
--   Navpoint_setVisitable(1, false)
--   Navpoint_setVisitable(2, false)
--   Navpoint_setVisitable(3, false)
   Mission_setAutopilotEnabled(false);
   Ship_setAIEnabled("@kat", false)
   Comm_playSound("training8.mp3")
   Comm_playSound("training9.mp3")
   accomplished = false
   state = 0
   actime = 0

end

function nav3during()
   now = Mission_getElapsedTime()
   if state == 0 and Ship_isWithinRange("@player", "@kat", 400) then
      Ship_setAIEnabled("@kat", true)
      state = state + 1
   end
   if accomplished and now > actime + 5000 then
      Mission_exit()
   end

end

function katdestroy()
   Mission_setAccomplished();
   accomplished = true
   actime =  Mission_getElapsedTime()

end


init();

